<!--
  ~ iparapheur Web
  ~ Copyright (C) 2019-2025 Libriciel SCOP
  ~
  ~ This program is free software: you can redistribute it and/or modify
  ~ it under the terms of the GNU Affero General Public License as published by
  ~ the Free Software Foundation, either version 3 of the License, or
  ~ (at your option) any later version.
  ~
  ~ This program is distributed in the hope that it will be useful,
  ~ but WITHOUT ANY WARRANTY; without even the implied warranty of
  ~ MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  ~ GNU Affero General Public License for more details.
  ~
  ~ You should have received a copy of the GNU Affero General Public License
  ~ along with this program. If not, see <http://www.gnu.org/licenses/>.
  -->

<div class="my-4">

  <form
    [formGroup]="generalForm"
    class="ls-form"
    autocomplete="on">

    <div class="form-group">

      <label
        for="editInfoUserNameInput"
        [ngClass]="{'required': creationMode}"
        [innerText]="commonMessages.USERNAME">
      </label>

      <input
        id="editInfoUserNameInput"
        name="usernameInput"
        class="form-control"
        type="text"
        formControlName="userNameControl"
        [(ngModel)]="modifiedUser.userName"
        [required]="creationMode"
        [autofocus]="creationMode">
    </div>

    <div class="form-group">

      <label
        for="editInfoLastNameInput"
        class="required"
        [innerText]="commonMessages.LAST_NAME">
      </label>

      <input
        id="editInfoLastNameInput"
        name="lastName"
        class="form-control"
        type="text"
        formControlName="lastNameControl"
        [(ngModel)]="modifiedUser.lastName"
        [autofocus]="!creationMode"
        [ngbTooltip]="messages.LDAP_SYNC_PARAMETER"
        [disableTooltip]="!modifiedUser.isLdapSynchronized"
        required>

    </div>

    <div class="form-group">

      <label
        for="editInfoFirstNameInput"
        class="required"
        [innerText]="commonMessages.FIRST_NAME">
      </label>

      <input
        id="editInfoFirstNameInput"
        name="firstName"
        class="form-control"
        type="text"
        formControlName="firstNameControl"
        [(ngModel)]="modifiedUser.firstName"
        [ngbTooltip]="messages.LDAP_SYNC_PARAMETER"
        [disableTooltip]="!modifiedUser.isLdapSynchronized"
        required>

    </div>


    <div class="form-group">

      <label
        for="editInfoEmailInput"
        class="required"
        [innerText]="commonMessages.MAIL">
      </label>

      <input
        id="editInfoEmailInput"
        name="editInfoEmailInput"
        class="form-control"
        type="email"
        autocomplete="on"
        formControlName="mailControl"
        [(ngModel)]="modifiedUser.email"
        [ngbTooltip]="messages.LDAP_SYNC_PARAMETER"
        [disableTooltip]="!modifiedUser.isLdapSynchronized"
        required>

      <div
        *ngIf="generalForm.get('mailControl').errors?.email"
        class="mt-1 text-danger"
        [innerText]="messages.BAD_MAIL_FORMAT">
      </div>

    </div>

    <div class="form-group large-tooltip">

      <!-- Tooltip content to display for Multi-validators viewing -->
      <ng-template #complementaryFieldTooltip>
        <div class="text-start">
          <p [innerText]="messages.COMPLEMENTARY_FIELD_TOOLTIP_TITLE"></p>
          <div [innerText]="messages.COMPLEMENTARY_FIELD_TOOLTIP_EXAMPLE_LABEL"></div>
          <div
            class="badge bg-secondary font-monospace"
            [innerText]="messages.COMPLEMENTARY_FIELD_TOOLTIP_EXAMPLE">
          </div>
        </div>
      </ng-template>

      <label for="editInfoAdditionalInput">
        <span [innerText]="messages.COMPLEMENTARY_FIELD"></span>
        <fa-icon
          class="ms-1"
          [icon]="infoIcon"
          [ngbTooltip]="complementaryFieldTooltip">
        </fa-icon>
      </label>

      <textarea
        id="editInfoAdditionalInput"
        name="editInfoAdditionalInput"
        class="form-control"
        rows="3"
        [(ngModel)]="modifiedUser.complementaryField"
        [ngModelOptions]="{standalone: true}">
      </textarea>

    </div>

  </form>

</div>
